package Cuello.Xzavia;

import org.junit.Assert;
import org.junit.Test;

import java.util.HashMap;

public class BinsTest {

    @Test
    public void constructorTest() {
        //Given
        Bins bins = new Bins(2, 12);

        Integer actual = bins.bins.get(12);

        Assert.assertTrue(actual == 0);
    }

    @Test
    public void trackTossTest() {
        //Given
        Bins bins = new Bins(2,12);
        Dice dice = new Dice(2);
        Integer tossSum = dice.tossAndSum();
        bins.trackToss(tossSum);

        //When
        Integer actual = bins.bins.get(tossSum);

        //Then
        Assert.assertTrue(actual ==1);

    }
}
